#include <gst/gst.h>

#include <fstream>
#include <iostream>

#include "gstnvdsmeta.h"
class GstdsExampleManager {
   private:
   public:
    GstElement *custom_plugin = NULL;
    GstdsExampleManager();
    bool create_gstds_example();
    ~GstdsExampleManager();
    static gint frame_number;
    void attach_probe_to_element();
    static GstPadProbeReturn gstds_example_src_pad_buffer_probe(
        GstPad *, GstPadProbeInfo *, gpointer);
};